Bug 1655328 - vncviewer shows only black screen after successful connection to vncserver
Summary: vncviewer shows only black screen after successful connection to vncserver
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: 29
Hardware: x86_64
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-02 20:10 UTC by Kevin
Modified: 2019-11-27 21:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:38:45 UTC


Attachments (Terms of Use)

Description Kevin 2018-12-02 20:10:34 UTC
Description of problem:
Essentially identical to that described in https://bugzilla.redhat.com/show_bug.cgi?id=1412468

Start vncserver on server machine using documentation in F29 Admin Guide at https://docs.fedoraproject.org/en-US/fedora/f29/system-administrators-guide/infrastructure-services/TigerVNC/#s4-starting-vncserver which seems to contain very similar instructions to start server as the instructions mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1412468 and the F25 Admin Guide at https://docs.fedoraproject.org/en-US/Fedora/25/html/System_Administrators_Guide/ch-TigerVNC.html .

When I followed these instructions I saw this:
$ systemctl start vncserver@:9.service
Job for vncserver@:9.service failed because a timeout was exceeded.

I found a solution to this problem using https://serverfault.com/questions/837422/tigervnc-session-timeout and https://forums.fedoraforum.org/showthread.php?311448-Issue-with-setting-up-VNC-Server-as-service-on-Fedora-24-or-above&s=c93ac2143ba5a452e9ebecd566829618&p=1781244#post1781244 but having solved this problem, I now have the black screen I mentioned in summary above when I do the following steps.

Connect to this server using the same host or a remote host with, for example: "vncviewer 10.1.1.1:9"

vncviewer client reports in Terminal...
"$ vncviewer 10.1.1.1:9

TigerVNC Viewer 64-bit v1.9.0
Built on: 2018-09-25 10:36
Copyright (C) 1999-2018 TigerVNC Team and many others (see README.rst)
See http://www.tigervnc.org for information on TigerVNC.

Sun Dec  2 14:38:18 2018
 DecodeManager: Detected 4 CPU core(s)
 DecodeManager: Creating 4 decoder thread(s)
 CConn:       connected to host 10.1.1.1 port 5909
 CConnection: Server supports RFB protocol version 3.8
 CConnection: Using RFB protocol version 3.8
 CConnection: Choosing security type VeNCrypt(19)
 CVeNCrypt:   Choosing security type TLSVnc (258)

Sun Dec  2 14:38:23 2018
 CConn:       Using pixel format depth 24 (32bpp) little-endian rgb888
 CConn:       Using Tight encoding
 CConn:       Enabling continuous updates"

...but the vncviewer window that opens is entirely black. The vncviewer software seems functional (I can use F8 to bring up the menu), but there is nothing within this window except black.

Version-Release number of selected component (if applicable):


How reproducible:
Tried only once in desktop computer running Fedora 29 Workstation from https://download.fedoraproject.org/pub/fedora/linux/releases/29/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-29-1.2.iso


Steps to Reproduce:
1. See description above
2.
3.

Actual results:

black screen

Expected results:

desktop environment within vncviewer window

Additional info:

This was a bug in F25, and https://bugzilla.redhat.com/show_bug.cgi?id=1412468 was closed with "Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is no longer maintained, which means that it will not receive any further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release."

Comment 1 Ben Cotton 2019-10-31 19:44:07 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 21:38:45 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.